Debian Bug report logs - #635746
fail2ban: diff for NMU version 0.8.4-3+squeeze1

version graph

Package: fail2ban; Maintainer for fail2ban is Yaroslav Halchenko <debian@onerussian.com>; Source for fail2ban is src:fail2ban.

Reported by: Jonathan Wiltshire <jmw@debian.org>

Date: Thu, 28 Jul 2011 14:06:01 UTC

Severity: normal

Tags: squeeze

Found in version fail2ban/0.8.4-3

Fixed in versions fail2ban/0.8.4+svn20110323-1, fail2ban/0.8.4-3+squeeze1

Done: Yaroslav Halchenko <debian@onerussian.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, 544232@bugs.debian.org, Yaroslav Halchenko <debian@onerussian.com>:
Bug#635746; Package fail2ban. (Thu, 28 Jul 2011 14:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
New Bug report received and forwarded. Copy sent to 544232@bugs.debian.org, Yaroslav Halchenko <debian@onerussian.com>. (Thu, 28 Jul 2011 14:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: submit@bugs.debian.org
Subject: fail2ban: diff for NMU version 0.8.4-3+squeeze1
Date: Thu, 28 Jul 2011 15:02:15 +0100
[Message part 1 (text/plain, inline)]
Package: fail2ban
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Dear maintainer, please be advised that I am submitting the attached diff 
to the release team for consideration. It will be an NMU against Squeeze.

If they accept it I will upload this in the next day or so.

SRMs: this is to fix CVE-2009-5023 (there's a diff for lenny coming too).


-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51
[fail2ban-0.8.4-3+squeeze1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Yaroslav Halchenko <debian@onerussian.com>:
Bug#635746; Package fail2ban. (Thu, 28 Jul 2011 14:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Yaroslav Halchenko <debian@onerussian.com>. (Thu, 28 Jul 2011 14:21:10 GMT) Full text and rfc822 format available.

Message #10 received at 635746@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Jonathan Wiltshire <jmw@debian.org>, 635746@bugs.debian.org
Subject: Re: Bug#635746: fail2ban: diff for NMU version 0.8.4-3+squeeze1
Date: Thu, 28 Jul 2011 10:18:11 -0400
Sure -- go ahead!

Thanks for the update -- just NMU without delay

On Thu, 28 Jul 2011, Jonathan Wiltshire wrote:
> Package: fail2ban
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: pu

> Dear maintainer, please be advised that I am submitting the attached diff 
> to the release team for consideration. It will be an NMU against Squeeze.

> If they accept it I will upload this in the next day or so.

> SRMs: this is to fix CVE-2009-5023 (there's a diff for lenny coming too).
-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, Yaroslav Halchenko <debian@onerussian.com>:
Bug#635746; Package fail2ban. (Thu, 16 Feb 2012 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Yaroslav Halchenko <debian@onerussian.com>. (Thu, 16 Feb 2012 15:39:04 GMT) Full text and rfc822 format available.

Message #15 received at 635746@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Jonathan Wiltshire <jmw@debian.org>, 635746@bugs.debian.org
Subject: Re: Bug#635746: fail2ban: diff for NMU version 0.8.4-3+squeeze1
Date: Thu, 16 Feb 2012 10:37:25 -0500
it seems it was never NMUed -- I am submitting to release team another
patch so incorporating this into that submission for +squeeze1

Cheers!

> Sure -- go ahead!

> Thanks for the update -- just NMU without delay

> On Thu, 28 Jul 2011, Jonathan Wiltshire wrote:
> > Package: fail2ban
> > Severity: normal
> > User: release.debian.org@packages.debian.org
> > Usertags: pu

> > Dear maintainer, please be advised that I am submitting the attached diff 
> > to the release team for consideration. It will be an NMU against Squeeze.

> > If they accept it I will upload this in the next day or so.

> > SRMs: this is to fix CVE-2009-5023 (there's a diff for lenny coming too).
-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Bug Marked as fixed in versions fail2ban/0.8.4+svn20110323-1. Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. (Thu, 16 Feb 2012 17:57:06 GMT) Full text and rfc822 format available.

Added tag(s) squeeze. Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. (Thu, 16 Feb 2012 18:33:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions fail2ban/0.8.4-3. Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. (Thu, 16 Feb 2012 23:21:05 GMT) Full text and rfc822 format available.

Reply sent to Yaroslav Halchenko <debian@onerussian.com>:
You have taken responsibility. (Sat, 07 Apr 2012 16:06:04 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Wiltshire <jmw@debian.org>:
Bug acknowledged by developer. (Sat, 07 Apr 2012 16:06:05 GMT) Full text and rfc822 format available.

Message #26 received at 635746-close@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 635746-close@bugs.debian.org
Subject: Bug#635746: fixed in fail2ban 0.8.4-3+squeeze1
Date: Sat, 07 Apr 2012 16:02:11 +0000
Source: fail2ban
Source-Version: 0.8.4-3+squeeze1

We believe that the bug you reported is fixed in the latest version of
fail2ban, which is due to be installed in the Debian FTP archive:

fail2ban_0.8.4-3+squeeze1.diff.gz
  to main/f/fail2ban/fail2ban_0.8.4-3+squeeze1.diff.gz
fail2ban_0.8.4-3+squeeze1.dsc
  to main/f/fail2ban/fail2ban_0.8.4-3+squeeze1.dsc
fail2ban_0.8.4-3+squeeze1_all.deb
  to main/f/fail2ban/fail2ban_0.8.4-3+squeeze1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635746@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yaroslav Halchenko <debian@onerussian.com> (supplier of updated fail2ban package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 16 Feb 2012 10:29:08 -0500
Source: fail2ban
Binary: fail2ban
Architecture: source all
Version: 0.8.4-3+squeeze1
Distribution: stable
Urgency: low
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Changed-By: Yaroslav Halchenko <debian@onerussian.com>
Description: 
 fail2ban   - bans IPs that cause multiple authentication errors
Closes: 544232 635746 650678
Changes: 
 fail2ban (0.8.4-3+squeeze1) stable; urgency=low
 .
   [ Jonathan Wiltshire ]
   * [e2232fc] Backport patch to fix CVE-2009-5023: Insecure creation of
     tempfile (Closes: #544232, #635746)
 .
   [ Yaroslav Halchenko ]
   * [6fc6c7b] Backport patch: Lock server's executeCmd to prevent racing
     among iptables calls (Closes: #650678)
Checksums-Sha1: 
 4366d067ac4069f36098d590931a4246903d0d71 1247 fail2ban_0.8.4-3+squeeze1.dsc
 e88c933c9e8cbbab2ee2cc138d1e38f317b6ea6d 31175 fail2ban_0.8.4-3+squeeze1.diff.gz
 4bfd4415bf60e531461b7537fc2e9ef51c62cf62 96234 fail2ban_0.8.4-3+squeeze1_all.deb
Checksums-Sha256: 
 9e101e3da2dd0edeeededeae9b6d350e095bb7c437a90a2d7cda42985f203712 1247 fail2ban_0.8.4-3+squeeze1.dsc
 79d0e4bc004e0cbb12b311e75ef4a404c53e43da09bf20dbad7ef76f221a0e8f 31175 fail2ban_0.8.4-3+squeeze1.diff.gz
 b402a3a5e98806dcbe7bb97d0bd55320e034d80ce1e3acf72755c8a315ad81f1 96234 fail2ban_0.8.4-3+squeeze1_all.deb
Files: 
 e9f88234c2dc53e290281ea60725dd5c 1247 net optional fail2ban_0.8.4-3+squeeze1.dsc
 c26505244602fe2b8e05f1730ea7b085 31175 net optional fail2ban_0.8.4-3+squeeze1.diff.gz
 ac0e02ef47b4388da34dccb882783abc 96234 net optional fail2ban_0.8.4-3+squeeze1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9/YWoACgkQjRFFY3XAJMgF9ACfevBUInbkKYYggpKcEI/vPRrm
1r8AnRz8n7eRUmZwkjsI5yF2j3BrqgzH
=oMGg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jun 2012 07:45:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:20:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.